Skip to main content

MongoDB のスキーマリファレンス

こちらでは、Serverバージョン2023.2に対応するMongoDBスキーマバージョン46について説明しています。埋め込みMongoDBまたはユーザー管理MongoDBのいずれかを使用するServerは、このスキーマを使用します。Server のバージョンから MongoDB のバージョンへのクロスウォークに関する情報については、「 バージョンのクロスウォーク 」を参照してください。

重要

MongoDB Community は FIPS に準拠していないため、Server-FIPS に組み込まれていません。ユーザー管理版Mongo DB Atlas または MongoDB Enterprise Advanced が必要になります。したがって、Community 版の Mongo を システム設定 から削除しました。詳細については、 Alteryx Server と FIPS: 機能の違い のヘルプページを参照してください。

各Serverインスタンスは、次の2つの既定のデータベースに情報を格納します。

AlteryxGallery スキーマ

Server インスタンスの Server UI 部分のデータベース。「 AlteryxGallery MongoDBスキーマ 」を参照してください。

AlteryxService スキーマ

サービスレイヤーデータベース。「 AlteryxService MongoDB スキーマ 」を参照してください。

Server のバージョンから MongoDB のバージョンへのクロスウォーク

Server のバージョン

MongoDB スキーマバージョン

組み込み MongoDB のバージョン

ユーザー管理型インスタンスでサポートされている MongoDB のバージョン

ドキュメンテーション

2023.2

46

6.0

4.2、4.4、5.0、6.0 (すべてのバージョン)

現在のページ。

2023.1.1.200パッチ1以降

45

4.2

4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDBスキーマバージョン44 (2023.1)のMongoDBスキーマリファレンス 」を参照してください。

2023.1

44

4.2

4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDBスキーマバージョン44 (2023.1)のMongoDBスキーマリファレンス 」を参照してください。

2022.3

43

4.2

4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDBスキーマバージョン43 (2022.3)のMongoDBスキーマリファレンス 」を参照してください。MongoDB のスキーマリファレンス

2022.2

42

4.2

4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDBスキーマバージョン42 (2022.2-FIPS)のMongoDBスキーマリファレンス 」を参照してください。MongoDB Schema Reference

2022.1.1.42590パッチ3以降

40.03

4.2

4.0、4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDB スキーマバージョン 40 (2022.1) の MongoDB スキーマリファレンス 」を参照してください。MongoDB のスキーマリファレンス

2022.1

40

4.2

4.0、4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDB スキーマバージョン 40 (2022.1) の MongoDB スキーマリファレンス 」を参照してください。MongoDB のスキーマリファレンス

2021.4.2.47792パッチ5以降

34.03

4.2

4.0、4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDB スキーマバージョン 34 (2021.4) の MongoDB スキーマリファレンス 」を参照してください。MongoDB のスキーマリファレンス

2021.4

34

4.2

4.0、4.2、4.4、5.0、6.0 (すべてのバージョン)

MongoDB スキーマバージョン 34 (2021.4) の MongoDB スキーマリファレンス 」を参照してください。MongoDB のスキーマリファレンス

2021.3

31

2021.3.1から2021.3.5までの場合: 4.0

2021.3.6以降の場合: 4.2

2021.3.1から21.3.5までの場合: 3.4、4.0、4.0 Atlas

2021.3.6以降の場合: 4.0、4.2、4.4

使用できません。

2021.2

30

4.0

3.4、4.0、4.0 Atlas

使用できません。

2021.1

28

4.0

3.4、4.0、4.0 Atlas

使用できません。

2020.4

28

4.0

3.4、4.0、4.0 Atlas

使用できません。

2020.3

28

4.0

3.4、4.0、4.0 Atlas

使用できません。

2020.2

28

4.0

3.4、4.0、4.0 Atlas

使用できません。

2020.1

27

4.0

3.4、4.0、4.0 Atlas

使用できません。

2019.4

25 および 26

4.0

3.4 および 4.0

使用できません。

2019.3

24

4.0

3.0、3.4、 4.0

使用できません。

2019.2

23

3.4

3.0、3.4、 4.0

使用できません。

2019.1

22

3.4

3.0 および 3.4

使用できません。

2018.4

21

3.4

3.0 および 3.4

使用できません。

2018.3

20

3.4

3.0 および 3.4

使用できません。